#include <stdio.h>
#include <string.h>

void imprime(char vet[], int n);
int separa (char v[], int inicio, int fim);
void quicksort (char v[], int inicio, int fim);

int main (void) 
{
  	char vetor[10];
  	int i;

	scanf("%s", vetor);
	i = strlen(vetor);

	imprime(vetor, i);
  	quicksort(vetor, 0, i-1);
  	imprime(vetor, i);

  	return 0;
}

int separa (char v[], int inicio, int fim) 
{
  	char pivo = v[inicio]; /*Pivô*/
  	int esq = inicio+1;
  	int dir = fim;
  	int t;

  	while (esq <= dir) 
	{
    		if (v[esq] <= pivo) 
			++esq;
    		else if (pivo < v[dir]) 
			--dir; 
    		else   // troca
		{
     	 	t = v[esq]; 
     	 	v[esq] = v[dir]; 
     	 	v[dir] = t;
     	 	++esq; 
			--dir;
     	}
  	}
     // altera posicao pivo
  	t = v[inicio]; 
  	v[inicio] = v[dir]; 
  	v[dir] = t;
  	return dir; 
}

void quicksort (char v[], int inicio, int fim) 
{
  	int j;
  	if (inicio < fim) 
	{
    		j = separa (v, inicio, fim); 
    		quicksort (v, inicio, j-1); 
    		quicksort (v, j+1, fim);
  	}
}

void imprime(char vet[], int n) 
{
  	int i;

  	for (i = 0; i < n-1; i++)  
    		printf("%c ", vet[i]);
  	printf("%c \n", vet[n-1]); 
}
